﻿;================================================================================================================================================================================
; Change the category of a title by dragging and dropping it onto the category bar
;================================================================================================================================================================================

Procedure ChangeCategory()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  NewCategory.s = Trim(StringField(GetGadgetText(#Gadget_PiccyDb_Category), 1, "("))
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If NewCategory.s <> Program\CurrentCategory
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    DatabaseUpdate.s = "UPDATE PictureInfo "
    
    DatabaseUpdate.s + "SET Category = '"    + RepQuote(NewCategory.s)  + "' "
    
    DatabaseUpdate.s + "WHERE Record_Id = '" + Program\CurrentRecord    + "'"
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If DatabaseUpdate(Program\DatabaseHandle, DatabaseUpdate.s) <> #DatabaseUpdateFail
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      RemoveGadgetItem(#Gadget_PiccyDb_Titles, Program\CurrentLine)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      UpdateCategoryItemCount(Program\CurrentCategory)
      
      UpdateCategoryItemCount(NewCategory.s)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      SetGadgetState(#Gadget_PiccyDb_Category, Program\CurrentCategoryLine)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      PostEvent(#PB_Event_Gadget, #Window_PiccyDb, #Gadget_PiccyDb_Category, #PB_EventType_Change)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      Program\CurrentLine         = -1
      
      Program\CurrentCategoryLine = -1
      
      Program\CurrentRecord       = #EmptyString
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Else
      
      SetInfoBarArea("Headings",  "Error", "Could not update the database with the new category" + DatabaseError(), "ChangeCategory")
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    SetInfoBarArea("Headings",  "Error", "This title already exists in the selected category", "ChangeCategory")
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 95
; FirstLine = 21
; Folding = -
; EnableXP
; HideErrorLog