﻿;================================================================================================================================================================================
; Change the category of a title by dragging and dropping it onto the category bar
;================================================================================================================================================================================

Procedure DragToCategory()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Program\CurrentLine         = GetGadgetState(#Gadget_PiccyDb_Titles)                                              ;: Debug "Current line:            " + Str(Program\CurrentLine)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If Program\CurrentLine <> #NoCurrentLine
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    Program\CurrentCategoryLine = GetGadgetState(#Gadget_PiccyDb_Category)                                          ;: Debug "Current category line  : " + Str(Program\CurrentCategoryLine)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    Program\CurrentRecord   = GetGadgetItemText(#Gadget_PiccyDb_Titles, Program\CurrentLine, #RecordColumn)         ;: Debug "Current record:          "  + Program\CurrentRecord
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    Program\CurrentTitle    = GetGadgetItemText(#Gadget_PiccyDb_Titles, Program\CurrentLine, #TitleColumn)          ;: Debug "Current title:           "  + Program\CurrentTitle
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    Program\CurrentCategory = GetGadgetItemText(#Gadget_PiccyDb_Titles, Program\CurrentLine, #CategoryTitleColumn)  ;: Debug "Current category         "  + Program\CurrentCategory
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If Program\CurrentRecord <> #EmptyString And Program\CurrentCategory <> #EmptyString
      
      DragText(Program\CurrentTitle, #PB_Drag_Copy)
      
    ElseIf Program\CurrentRecord <> #EmptyString And Program\CurrentCategory = #EmptyString
      
      Program\CurrentCategory = "No category"
      
      DragText(Program\CurrentTitle, #PB_Drag_Copy)
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 11
; FirstLine = 24
; Folding = -
; EnableAsm
; EnableUnicode
; EnableXP