﻿;================================================================================================================================================================================
; Backup the current database to a named day of the week
;================================================================================================================================================================================

Procedure BackupDatabase()

  ;------------------------------------------------------------------------------------------------
  ; Get the current named day of the week
  ;------------------------------------------------------------------------------------------------
  
  CurrentDay.s = NameOfDay(DayOfWeek(Date()))

  ;------------------------------------------------------------------------------------------------
  ; Try to create a backup of the database now
  ;------------------------------------------------------------------------------------------------

  If CopyFile(Program\DatabaseName, Program\DatabaseName + "." + Left(CurrentDay.s, 3)) <> 0
  
    ;----------------------------------------------------------------------------------------------
    ; Tell the user what is going on. Check for statusbar as backups can also occur at end of program
    ;----------------------------------------------------------------------------------------------

    SetInfoBarArea("Headings", "Info",  Program\DatabaseName + " was successfully backed up")
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------

  Else
  
    ;----------------------------------------------------------------------------------------------
    ; Tell the user what is going on. Check for statusbar as backups can also occur at end of program
    ;----------------------------------------------------------------------------------------------
    
    SetInfoBarArea("Headings", "Error",  Program\DatabaseName + " could not be backed up")
      
    ;----------------------------------------------------------------------------------------------
    ; No more tests to do at this run level
    ;----------------------------------------------------------------------------------------------

  EndIf

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

EndProcedure

; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 2
; Folding = -
; EnableXP