﻿;================================================================================================================================================================================
; Fill a combobox gadget from a linked list, SQLite version
;================================================================================================================================================================================

Procedure FillCombo(Gadget.i, DatabaseQuery.s, ColumnIcon.i = 0)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  ClearGadgetItems(Gadget.i)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If DatabaseQuery(Program\DatabaseHandle, DatabaseQuery.s)
    
    While NextDatabaseRow(Program\DatabaseHandle)
      
      Categoryname.s = KillQuote(GetDatabaseString(Program\DatabaseHandle, 0))
      
      If Categoryname.s <> #EmptyString
        
        If ColumnIcon.i <> 0
          
          AddGadgetItem(Gadget.i, -1, Categoryname.s, ImageID(ColumnIcon.i))
          
        Else
          
          AddGadgetItem(Gadget.i, -1, Categoryname.s)
          
        EndIf
        
      EndIf
      
    Wend
    
    FinishDatabaseQuery(Program\DatabaseHandle)
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure


; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 22
; Folding = -
; EnableXP