﻿;==============================================================================================================================================================================
; Format menu text and shortcut strings to nice length
;==============================================================================================================================================================================

Procedure.s FormatMenu(HeadingString.s, ShortcutString.s, FieldLen.i)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  HeadingStringLen.i = Len(HeadingString.s)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  SpaceStringLength.i    = FieldLen.i - HeadingStringLen.i
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If SpaceStringLength.i > 1
    
    NewHeadingString.s = HeadingString.s + ": " + #TAB$ + Space(SpaceStringLength.i)
    
  Else
    
    NewHeadingString.s = HeadingString.s + ": "
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  ShortcutString.s  = ReplaceString(ShortcutString.s, "Keyboard Shortcut: ", #EmptyString, 1)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

  ProcedureReturn NewHeadingString.s  + ShortcutString.s
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 49
; Folding = -
; EnableXP