﻿;==============================================================================================================================================================================
; First letter uppercase in a string box. srod!
;==============================================================================================================================================================================

Procedure MixedStringCase(Gadget.i)
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  Protected Parent.i, StringOut.s, StringIn.s, Temporary.s, Position.i, StartSelection.i, EndSelection.i
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  StringIn.s = GetGadgetText(Gadget.i)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If StringIn.s = #EmptyString
    
    ProcedureReturn
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  WordFlag.i = 1
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  SendMessage_(GadgetID(Gadget.i), #EM_GETSEL, @StartSelection, @EndSelection)  ; Get the Position of the caret.
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If StartSelection.i <> EndSelection.i
    
    ProcedureReturn
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Repeat
    
    Position.i + 1
    
    StringOut.s = Mid(StringIn.s, Position.i, 1)
    
    If WordFlag.i
      
      Temporary.s + UCase(StringOut.s)
      
    Else
      
      Temporary.s + StringOut.s
      
    EndIf
    
    If StringOut.s = " "
      
      WordFlag.i = 1
      
    Else
      
      WordFlag.i = 0
      
    EndIf
    
  Until Position.i = Len(StringIn.s)
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  SetGadgetText(Gadget.i, Temporary.s)
  
  ;------------------------------------------------------------------------------------------------
  ; Return the caret to it's original Position
  ;------------------------------------------------------------------------------------------------
  
  SendMessage_(GadgetID(Gadget.i), #EM_SETSEL, EndSelection.i, EndSelection.i)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure


; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 92
; FirstLine = 44
; Folding = -
; EnableXP