﻿;==============================================================================================================================================================================
; Turn time updating on in the title bar
;==============================================================================================================================================================================

Procedure ToggleTitleClock()
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  If Setup\TitleClock = #False
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
    Setup\TitleClock = #True
    
    ;----------------------------------------------------------------------------------------------
    ; Create the permanent timer
    ;----------------------------------------------------------------------------------------------
    
    SetTimer_(WindowID(#Window_PiccyDb), #TitleBarClockEvent, 1000, @TitleBarClock())    ; 1000 = 1 second
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
    SetInfoBarArea("Headings", "Info", "Titlebar area clock is now ON")
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
  ElseIf Setup\TitleClock = #True
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
    Setup\TitleClock = #False
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
    KillTimer_(WindowID(#Window_PiccyDb), #TitleBarClockEvent)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    SetWindowTitle(#Window_PiccyDb, #Fish + #Basename + #Version)
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
    SetInfoBarArea("Headings", "Info", "Titlebar area clock is now OFF")
    
    ;----------------------------------------------------------------------------------------------
    ;
    ;----------------------------------------------------------------------------------------------
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  SetMenuItemState(#MenuBar_PiccyDb, #MenuBar_PiccyDb_TitleClock, Setup\TitleClock)

  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
EndProcedure


; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 46
; Folding = -
; EnableXP