﻿;================================================================================================================================================================================
; Hide the program window now
;================================================================================================================================================================================

Procedure HideProgramWindow()

  ;------------------------------------------------------------------------------------------------
  ; Minimise the program to the system tray area and set a tool tip
  ;------------------------------------------------------------------------------------------------

  Program\TrayState = #True      ; We've hidden the tray, so set the value corectly

  ;------------------------------------------------------------------------------------------------
  ; Hide the window now
  ;------------------------------------------------------------------------------------------------

  HideWindow(#Window_PiccyDb, #True)

  ;------------------------------------------------------------------------------------------------
  ; Add the system tray icon now
  ;------------------------------------------------------------------------------------------------

  AddSysTrayIcon(#Tray_PiccyDb, WindowID(#Window_PiccyDb), ImageID(#Image_Tray_PiccyDb))

  ;------------------------------------------------------------------------------------------------
  ; Add a tool tip to the tray
  ;------------------------------------------------------------------------------------------------

  SysTrayIconToolTip(#Tray_PiccyDb, #Program)

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

EndProcedure

; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 2
; Folding = -
; EnableXP