﻿;==========================================================================================================================================================
; Copy the current category to the clipboard
;==========================================================================================================================================================

Procedure CopyCategory()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  CurrentLine.i = GetGadgetState(#Gadget_PiccyDb_Category)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If CurrentLine.i <> #NothingSelected
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    CurrentRecord.s = GetGadgetItemText(#Gadget_PiccyDb_Category, CurrentLine.i, #CategoryRecordColumn)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If CurrentRecord.s  <> #EmptyString
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      PicCategory.s = RepQuote(Trim(StringField(GetGadgetItemText(#Gadget_PiccyDb_Category, CurrentLine.i, #CategoryTitleColumn), 1, "(")))
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      SetClipboardText(PicCategory.s)
      
      ;--------------------------------------------------------------------------------------------
      ; Show new record number and status in the main window
      ;--------------------------------------------------------------------------------------------
      
      SetInfoBarArea("Headings", "Info", PicCategory.s + " has been copied to the system clipboard", "CopyCategory")
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Else
      
      SetInfoBarArea("Headings", "Warn", "There was no record number found on the selected line.", "CopyCategory")
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    SetInfoBarArea("Headings", "Warn", "There is no category selected for editing.", "CopyCategory")
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 36
; FirstLine = 12
; Folding = -
; EnableXP
; HideErrorLog