﻿;================================================================================================================================================================================
; Save all the program options whenever you need to
;================================================================================================================================================================================

Procedure SaveProgramOptions()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  UpdateString.s = "UPDATE Options SET"
  
  ;------------------------------------------------------------------------------------------------
  ; These options are set in toggle procedures, no need to duplicate here
  ;------------------------------------------------------------------------------------------------
  
  UpdateString.s + "   TitleClock = '"     + Str(Setup\TitleClock)
  
  UpdateString.s + "', StickyWindow = '"   + Str(Setup\StickyWindow)
  
  UpdateString.s + "', ScreenSnap = '"     + Str(Setup\ScreenSnap)
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  UpdateString.s + "', LastSearch = '"     +     Setup\LastSearch
  
  ;------------------------------------------------------------------------------------------------
  ;
  ;------------------------------------------------------------------------------------------------
  
  UpdateString.s + "' Where Record_Id = '1'" 
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If DatabaseUpdate(Program\DatabaseHandle, UpdateString.s)
    
    SetInfoBarArea("Headings", "Info", "Update database with setup options")
    
  Else
    
    SetInfoBarArea("Headings", "Error", "Could not update database with setup options:  " + DatabaseError(), "SaveProgramOptions")
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

EndProcedure

; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 2
; Folding = -
; EnableXP