﻿;==========================================================================================================================================================
; Custom statusbar tooltip messages
;==========================================================================================================================================================

Procedure StatusBarTip(Window.i, Section.s)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Select Window.i

    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------

    Case #Window_PiccyDb
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      Select Section.s

        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------

        Case "AddCategory"      : Message.s = "Add a new category to the database"               + ", Keyboard shortcut (" + GetShortcutText(#Keys_AddCategory)     + ")"

        Case "CopyCategory"     : Message.s = "Copy the selected category to the clipboard"      + ", Keyboard shortcut (" + GetShortcutText(#Keys_CopyCategory)    + ")"

        Case "DeleteCategory"   : Message.s = "Delete the currently selected category"           + ", Keyboard shortcut (" + GetShortcutText(#Keys_DeleteCategory)  + ")"

        Case "EditCategory"     : Message.s = "Edit the currently selected category"             + ", Keyboard shortcut (" + GetShortcutText(#Keys_EditCategory)    + ")"

        Case "ExportCategory"   : Message.s = "Export all categories to a file on disk"          + ", Keyboard shortcut (" + GetShortcutText(#Keys_ExportCategory)  + ")"

        Case "ImportCategory"   : Message.s = "Import categories from a text file on disk"       + ", Keyboard shortcut (" + GetShortcutText(#Keys_ImportCategory)  + ")"

        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------

        Case "AddPicture"       : Message.s = "Add a new picture to the database"                + ", Keyboard shortcut (" + GetShortcutText(#Keys_Add)             + ")"

        Case "CopyPicture"      : Message.s = "Copy the selected picture to the clipboard"       + ", Keyboard shortcut (" + GetShortcutText(#Keys_Copy)            + ")"

        Case "DeletePicture"    : Message.s = "Delete the currently selected picture"            + ", Keyboard shortcut (" + GetShortcutText(#Keys_Delete)          + ")"

        Case "EditPicture"      : Message.s = "Edit the currently selected picture"              + ", Keyboard shortcut (" + GetShortcutText(#Keys_Edit)            + ")"

        Case "FavouritePicture" : Message.s = "Mark this picture as a favourite of yours"        + ", Keyboard shortcut (" + GetShortcutText(#Keys_Favourite)       + ")"

        Case "HelpProgram"      : Message.s = "Show any program help"                            + ", Keyboard shortcut (" + GetShortcutText(#Keys_Help)            + ")"

        Case "ImportPictures"   : Message.s = "Import all pictures from an XML file on disk"     + ", Keyboard shortcut (" + GetShortcutText(#Keys_Import)          + ")"

        Case "KillPicture"      : Message.s = "Kill this picture permanently from the database"  + ", Keyboard shortcut (" + GetShortcutText(#Keys_Kill)            + ")"

        Case "LockPicture"      : Message.s = "Lock this picture against all edits and deletions"+ ", Keyboard shortcut (" + GetShortcutText(#Keys_Lock)            + ")"

        Case "SavePicture"      : Message.s = "Save the currently selected picture to disk"      + ", Keyboard shortcut (" + GetShortcutText(#Keys_Save)            + ")"

        Case "ExportPictures"   : Message.s = "Export all pictures to an XML file on disk"       + ", Keyboard shortcut (" + GetShortcutText(#Keys_Export)          + ")"

        Case "ExitProgram"      : Message.s = "Exit the program immediately"                     + ", Keyboard shortcut (" + GetShortcutText(#Keys_Exit)            + ")"

        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------

      EndSelect
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      SetInfoBarArea("Headings", "Tool", Message.s, "StatusBarTip")
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Case #Window_PiccyCategory
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      Select Section.s

        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------

        Case "SaveCategory"     : Message.s = "Save the new or changed category"

        Case "ExitCategory"     : Message.s = "Exit the category editor now"

        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------

      EndSelect
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      SetInfoBarArea("Headings", "Tool", Message.s, "StatusBarTip")
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Case #Window_PiccyData
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      Select Section.s

        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------

        Case "SavePicture"     : Message.s = "Save the new or edited picture and details"

        Case "LoadPicture"     : Message.s = "Load a picture from disk and get its details"

        Case "ExitPicture"     : Message.s = "Exit the picture data editor now"

        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------

      EndSelect
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      SetInfoBarArea("Headings", "Tool", Message.s, "StatusBarTip")
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
  EndSelect
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure


; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 65
; FirstLine = 47
; Folding = -
; EnableXP
; HideErrorLog