﻿;==========================================================================================================================================================
; Delete the currently selected picture
;==========================================================================================================================================================

Procedure DeleteCurrentPicture()
  
  ;------------------------------------------------------------------------------------------------
  ; Check if you can get a currently selected line
  ;------------------------------------------------------------------------------------------------
  
  CurrentLine.i = GetGadgetState(#Gadget_PiccyDb_Titles)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  CurrentCategory.s = GetGadgetText(#Gadget_PiccyDb_Category)

  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If CurrentLine.i <> #NothingSelected
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    FavouriteState.s  = GetGadgetItemText(#Gadget_PiccyDb_Titles, CurrentLine.i, #FavouriteColumn)
    
    LockedState.s     = GetGadgetItemText(#Gadget_PiccyDb_Titles, CurrentLine.i, #LockedColumn)
    
    DeletedState.s    = GetGadgetItemText(#Gadget_PiccyDb_Titles, CurrentLine.i, #DeletedColumn)

    CurrentRecord.s   = GetGadgetItemText(#Gadget_PiccyDb_Titles, CurrentLine.i, #RecordColumn)
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If CurrentRecord.s <> #EmptyString
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      If LockedState.s <> "1"
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        If DeletedState.s = "0"
          
          DeletedState.s = "1"
          
        ElseIf DeletedState.s = "1"
          
          DeletedState.s = "0"
          
        EndIf
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        DatabaseUpdate.s = "UPDATE PictureInfo "
        
        DatabaseUpdate.s + "SET Deleted = '"      + DeletedState.s  + "' "
        
        DatabaseUpdate.s + "WHERE Record_Id = '"  + CurrentRecord.s + "'"
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
        If DatabaseUpdate(Program\DatabaseHandle, DatabaseUpdate.s) <> #DatabaseUpdateFail
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
          If DeletedState.s = "1"
            
            SetGadgetItemData(#Gadget_PiccyDb_Titles,  CurrentLine.i, Val(DeletedState.s))
            
            RedrawWindow_(GadgetID(#Gadget_PiccyDb_Titles), 0, 0, #RDW_INVALIDATE | #RDW_ERASE)
            
            SetGadgetItemImage(#Gadget_PiccyDb_Titles, CurrentLine.i, ImageID(#Image_List_Deleted))
            
            SetGadgetItemText(#Gadget_PiccyDb_Titles,  CurrentLine.i, DeletedState.s, #DeletedColumn)
            
            If CurrentCategory.s <> "Deleted pictures"
              
              RemoveGadgetItem(#Gadget_PiccyDb_Titles, CurrentLine.i)
            
            EndIf
          
          ElseIf DeletedState.s = "0"
            
            SetGadgetItemData(#Gadget_PiccyDb_Titles,  CurrentLine.i, Val(DeletedState.s))
            
            RedrawWindow_(GadgetID(#Gadget_PiccyDb_Titles), 0, 0, #RDW_INVALIDATE | #RDW_ERASE)
            
            SetGadgetItemText(#Gadget_PiccyDb_Titles,  CurrentLine.i, DeletedState.s, #DeletedColumn)
            
            If FavouriteState.s = "1"
              
              SetGadgetItemImage(#Gadget_PiccyDb_Titles, CurrentLine.i, ImageID(#Image_List_Favourite))
              
            ElseIf FavouriteState.s <> "1"
              
              SetGadgetItemImage(#Gadget_PiccyDb_Titles, CurrentLine.i, ImageID(#Image_List_Normal))
              
            EndIf
          
            If CurrentCategory.s = "Deleted pictures"
              
              RemoveGadgetItem(#Gadget_PiccyDb_Titles, CurrentLine.i)
            
            EndIf
            
          EndIf
          
          ;           ;--------------------------------------------------------------------------------------
          ;           ; Remove the item from the current view if it doesn't match the shown category
          ;           ;--------------------------------------------------------------------------------------
          ;           
          ;           If CurrentCategory.s <> "Deleted pictures" And DeletedState.s = "1"
          ;             
          ;             RemoveGadgetItem(#Gadget_PiccyDb_Titles, CurrentLine.i)
          ;             
          ;           ElseIf  CurrentCategory.s = "Deleted pictures" And FavouriteState.s = "0"
          ; 
          ;             RemoveGadgetItem(#Gadget_PiccyDb_Titles, CurrentLine.i)
          ;               
          ;           EndIf
          
          ;----------------------------------------------------------------------------------------
          ; 
          ;----------------------------------------------------------------------------------------
          
        Else
          
          SetInfoBarArea("Headings", "Error", "Could not mark the picture as deleted in the database.", "DeleteCurrentPicture()")
          
        EndIf
        
        ;------------------------------------------------------------------------------------------
        ; 
        ;------------------------------------------------------------------------------------------
        
      Else
        
        SetInfoBarArea("Headings", "Error", "picture is locked and cannot be marked deleted.", "DeleteCurrentPicture()")
        
      EndIf
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Else
      
      SetInfoBarArea("Headings", "Error", "There is no current record on the selected line.", "DeleteCurrentPicture()")
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    SetInfoBarArea("Headings", "Error", "There is no current line selected.", "DeleteCurrentPicture()")
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 183
; FirstLine = 136
; Folding = -
; EnableXP
; HideErrorLog