﻿;==========================================================================================================================================================
; Handle all list display jobs from add, edit, list, import modes etc
;==========================================================================================================================================================

Procedure DisplayTitleString(DisplayMode.s, LineNumber.i)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  Select DisplayMode.s
      
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
      
    Case  "AddMode"
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      AddString.s = KillQuote(Picture\Title)      + #LF$
      
      AddString.s +           Picture\Locked      + #LF$
      
      AddString.s +           Picture\Favourite   + #LF$
      
      AddString.s +           Picture\Deleted     + #lf$
      
      AddString.s +           Picture\RecordId
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      AddGadgetItem(#Gadget_PiccyDb_Titles, #AtTheEndOfTheList, AddString.s)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Case  "EditMode"
      
      ;--------------------------------------------------------------------------------------------
      ; Update the details in the list for the selected record
      ;--------------------------------------------------------------------------------------------
      
      SetGadgetItemText(#Gadget_PiccyDb_Titles, LineNumber.i, KillQuote(Picture\Title),       #TitleColumn)
      
      SetGadgetItemText(#Gadget_PiccyDb_Titles, LineNumber.i,           Picture\Locked,       #LockedColumn)
      
      SetGadgetItemText(#Gadget_PiccyDb_Titles, LineNumber.i,           Picture\Favourite,    #FavouriteColumn)
      
      SetGadgetItemText(#Gadget_PiccyDb_Titles, LineNumber.i,           Picture\Deleted,      #DeletedColumn)
      
      SetGadgetItemText(#Gadget_PiccyDb_Titles, LineNumber.i,           Picture\RecordId,     #RecordColumn)
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
  EndSelect
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If Picture\Locked = "1"
    
    SetGadgetItemImage(#Gadget_PiccyDb_Titles, LineNumber.i, ImageID(#Image_List_Locked))
    
  ElseIf  Picture\Locked <> "1"
    
    If Picture\Deleted = "1"
      
      SetGadgetItemData(#Gadget_PiccyDb_Titles,  LineNumber.i, Val(Picture\Deleted))
      
      RedrawWindow_(GadgetID(#Gadget_PiccyDb_Titles), 0, 0, #RDW_INVALIDATE | #RDW_ERASE)
      
      SetGadgetItemImage(#Gadget_PiccyDb_Titles, LineNumber.i, ImageID(#Image_List_Deleted))
      
    ElseIf Picture\Deleted <> "1"
      
      If Picture\Favourite = "1"
        
        SetGadgetItemImage(#Gadget_PiccyDb_Titles, LineNumber.i, ImageID(#Image_List_Favourite))
        
      ElseIf Picture\Favourite <> "1"
        
        SetGadgetItemImage(#Gadget_PiccyDb_Titles, LineNumber.i, ImageID(#Image_List_Normal))
        
      EndIf
      
    EndIf
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure


; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 28
; FirstLine = 57
; Folding = -
; EnableXP
; HideErrorLog