﻿;================================================================================================================================================================================
; Clean all deleted items from the database immediately
;================================================================================================================================================================================

Procedure VacuumDatabase()
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
  If MessageRequester("Database speedup", "Database about to be reindexed for speed", #PB_MessageRequester_YesNo) = #PB_MessageRequester_Yes
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
    If DatabaseUpdate(Program\DatabaseHandle, "REINDEX PictureInfo")
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
      SetInfoBarArea("Headings",  "Info", "Main database table has had its' items reindex for speed", "VacuumDatabase")
      
      ;--------------------------------------------------------------------------------------------
      ; 
      ;--------------------------------------------------------------------------------------------
      
    Else
      
      SetInfoBarArea("Headings",  "Error", "Could not reindex the maint able in the database", "VacuumDatabase")
      
    EndIf
    
    ;----------------------------------------------------------------------------------------------
    ; 
    ;----------------------------------------------------------------------------------------------
    
  Else
    
    SetInfoBarArea("Headings",  "Info", "User answered no to the permanent removal", "VacuumDatabase")
    
  EndIf
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------
  
EndProcedure

; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 2
; Folding = -
; EnableXP
; HideErrorLog