﻿;================================================================================================================================================================================
; Show the program window now
;================================================================================================================================================================================

Procedure ShowProgramWindow()

  ;------------------------------------------------------------------------------------------------
  ; Set tray semaphore to show that we don't need it
  ;------------------------------------------------------------------------------------------------

  Program\TrayState = #False

  ;------------------------------------------------------------------------------------------------
  ; Remove the tray ico, not needed any more
  ;------------------------------------------------------------------------------------------------

  RemoveSysTrayIcon(#Tray_PiccyDb)

  ;------------------------------------------------------------------------------------------------
  ; Unhide the window now
  ;------------------------------------------------------------------------------------------------

  HideWindow(#Window_PiccyDb, #False)

  ;------------------------------------------------------------------------------------------------
  ; Unhiding doesn't show the window sadly
  ;------------------------------------------------------------------------------------------------

  SetWindowState(#Window_PiccyDb, #PB_Window_Normal)

  ;------------------------------------------------------------------------------------------------
  ; Un-hiding the window brings it to the front
  ;------------------------------------------------------------------------------------------------

  SetActiveWindow(#Window_PiccyDb)
  
  ;------------------------------------------------------------------------------------------------
  ; 
  ;------------------------------------------------------------------------------------------------

EndProcedure

; IDE Options = PureBasic 5.31 (Windows - x86)
; CursorPosition = 2
; Folding = -
; EnableXP